com.impinj.octane

## Enum ReaderModel

- java.lang.Object
- - java.lang.Enum<ReaderModel>
  - - com.impinj.octane.ReaderModel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReaderModel>

      public enum ReaderModel
      extends java.lang.Enum<ReaderModel>

  All the possible reader models, mapped to their model numbers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `R510` R510
    `R515` R515
    `R700` R700
    `SpeedwayR120` Speedway R120
    `SpeedwayR220` Speedway R220
    `SpeedwayR420` Speedway R420
    `Unknown` Unknown reader type
    `XArray` xArray
    `XArrayEAP` xArrayEAP
    `XArrayWM` xArrayWM
    `XPortal` xPortal
    `XSpan` xSpan

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `boolean` | `isSpatialReader()` Detects if the connected reader is a reader with direction or location role capabilities (xArray or xSpan).
    `boolean` | `isXArray()` Detects if the connected reader is an xArray.
    `static ReaderModel` | `valueOf(int modelNumber)`
    `static ReaderModel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReaderModel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final ReaderModel Unknown

      Unknown reader type

    - #### SpeedwayR220

          public static final ReaderModel SpeedwayR220

      Speedway R220

    - #### SpeedwayR420

          public static final ReaderModel SpeedwayR420

      Speedway R420

    - #### XPortal

          public static final ReaderModel XPortal

      xPortal

    - #### XArrayWM

          public static final ReaderModel XArrayWM

      xArrayWM

    - #### XArrayEAP

          public static final ReaderModel XArrayEAP

      xArrayEAP

    - #### XArray

          public static final ReaderModel XArray

      xArray

    - #### XSpan

          public static final ReaderModel XSpan

      xSpan

    - #### SpeedwayR120

          public static final ReaderModel SpeedwayR120

      Speedway R120

    - #### R700

          public static final ReaderModel R700

      R700

    - #### R515

          public static final ReaderModel R515

      R515

    - #### R510

          public static final ReaderModel R510

      R510

  - ### Method Detail

    - #### values

          public static ReaderModel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReaderModel c : ReaderModel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReaderModel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static ReaderModel valueOf(int modelNumber)

      Parameters:
        `modelNumber` - the reader model number
      Returns:
        the reader type

    - #### getValue

          public int getValue()

      Returns:
        the model number associated with the current reader type

    - #### isSpatialReader

          public boolean isSpatialReader()

      Detects if the connected reader is a reader with direction or location role capabilities (xArray or xSpan).
      Returns:
        True if this ReaderModel is a reader with direction or location role capabilities, False if this ReaderModel is not a reader with direction or location role capabilities.

    - #### isXArray

          public boolean isXArray()

      Detects if the connected reader is an xArray.
      Returns:
        True if this ReaderModel is an xArray, False if this ReaderModel is not an xArray.